Std ViewIsometric/ko: Difference between revisions

From FreeCAD Documentation
(Created page with "==설명==")
(Created page with "'''표준 등각투영(Std ViewIsometric)''' 명령은 3D 보기의 카메라를 재조정하여 등각투영([https://en.wikipedia.org/wiki/Isometric_projectio...")
Line 21: Line 21:
==설명==
==설명==


The '''Std ViewIsometric''' command realigns the camera in the active [[3D_view|3D view]] to obtain an [https://en.wikipedia.org/wiki/Isometric_projection isometric] view. For a truly isometric view the 3D view must be in [[Std_OrthographicCamera|orthographic mode]], but the command also works if the view is in [[Std_PerspectiveCamera|perspective mode]].
'''표준 등각투영(Std ViewIsometric)''' 명령은 [[3D_view/ko|3D 보기]] 카메라를 재조정하여 등각투영([https://en.wikipedia.org/wiki/Isometric_projection isometric]) 보기 각도로 전환합니다. 진정한 등각투영(isometric) 보기를 하려면 3D 보기가 [[Std_OrthographicCamera/ko|직교투영(orthographic) 모드]]이어야 하지만 명령은 [[Std_PerspectiveCamera/ko|원근투영(perspective) 모드]]일 때도 작동합니다.


[[Image:Std_ViewIsometric_example.svg]]
[[Image:Std_ViewIsometric_example.svg]]

Revision as of 00:52, 5 January 2021

표준 이각투영

메뉴 위치
보기 → 표준 보기 → Axonometric → Isometric
작업대
모두
기본 단축키
0
도입 버전
-
참조
표준 등각투영, 표준 삼각투영

설명

표준 등각투영(Std ViewIsometric) 명령은 3D 보기의 카메라를 재조정하여 등각투영(isometric) 보기 각도로 전환합니다. 진정한 등각투영(isometric) 보기를 하려면 3D 보기가 직교투영(orthographic) 모드이어야 하지만 이 명령은 원근투영(perspective) 모드일 때도 작동합니다.

The axis cross and a cube in isometric view

Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewIsometric button.
    • Select the View → Standard views → Axonometric → Isometric option from the menu.
    • Select the Standard views → Isometric option from the 3D view context menu.
    • Use the keyboard shortcut: 0.

Notes

  • It is also possible to switch to isometric view via the Mini-cube menu of the Navigation Cube.

Scripting

See also: FreeCAD Scripting Basics.

To change to isometric view use the viewIsometric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()